- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions

# QNetworkReply Class Reference

Search for all occurrences

## Detailed Description

Definition at line 65 of file qnetworkreply.h.

`#include <qnetworkreply.h>`

Inheritance diagram for QNetworkReply:
[legend]

List of all members.

## Public Types
enum | NetworkError { NoError = 0, ConnectionRefusedError = 1, RemoteHostClosedError, HostNotFoundError, TimeoutError, OperationCanceledError, SslHandshakeFailedError, TemporaryNetworkFailureError, UnknownNetworkError = 99, ProxyConnectionRefusedError = 101, ProxyConnectionClosedError, ProxyNotFoundError, ProxyTimeoutError, ProxyAuthenticationRequiredError, UnknownProxyError = 199, ContentAccessDenied = 201, ContentOperationNotPermittedError, ContentNotFoundError, AuthenticationRequiredError, ContentReSendError, UnknownContentError = 299, ProtocolUnknownError = 301, ProtocolInvalidOperationError, ProtocolFailure = 399 }
typedef QPair< QByteArray, QByteArray > | RawHeaderPair
## Public Slots
virtual void | ignoreSslErrors ()
## Signals
void | metaDataChanged ()
void | finished ()
void | error (QNetworkReply::NetworkError)
void | sslErrors (const QList< QSslError > &errors)
void | uploadProgress (qint64 bytesSent, qint64 bytesTotal)
void | downloadProgress (qint64 bytesReceived, qint64 bytesTotal)
## Public Member Functions
| ~QNetworkReply ()
virtual void | abort ()=0
virtual void | close ()
virtual bool | isSequential () const
qint64 | readBufferSize () const
virtual void | setReadBufferSize (qint64 size)
QNetworkAccessManager * | manager () const
QNetworkAccessManager::Operation | operation () const
QNetworkRequest | request () const
NetworkError | error () const
bool | isFinished () const
bool | isRunning () const
QUrl | url () const
QVariant | header (QNetworkRequest::KnownHeaders header) const
bool | hasRawHeader (const QByteArray &headerName) const
QList< QByteArray > | rawHeaderList () const
QByteArray | rawHeader (const QByteArray &headerName) const
const QList< RawHeaderPair > & | rawHeaderPairs () const
QVariant | attribute (QNetworkRequest::Attribute code) const
QSslConfiguration | sslConfiguration () const
void | setSslConfiguration (const QSslConfiguration &configuration)
void | ignoreSslErrors (const QList< QSslError > &errors)
## Protected Member Functions
| QNetworkReply (QObject *parent=0)
| QNetworkReply (QNetworkReplyPrivate &dd, QObject *parent)
virtual qint64 | writeData (const char *data, qint64 len)
void | setOperation (QNetworkAccessManager::Operation operation)
void | setRequest (const QNetworkRequest &request)
void | setError (NetworkError errorCode, const QString &errorString)
void | setUrl (const QUrl &url)
void | setHeader (QNetworkRequest::KnownHeaders header, const QVariant &value)
void | setRawHeader (const QByteArray &headerName, const QByteArray &value)
void | setAttribute (QNetworkRequest::Attribute code, const QVariant &value)

## Member Typedef Documentation

typedef QPair<QByteArray, QByteArray> RawHeaderPair

Search for all occurrences

Definition at line 132 of file qnetworkreply.h.

## Member Enumeration Documentation

enum NetworkError

Search for all occurrences

Enumerator:

  NoError | Search for all occurrences
  ConnectionRefusedError | Search for all occurrences
  RemoteHostClosedError | Search for all occurrences
  HostNotFoundError | Search for all occurrences
  TimeoutError | Search for all occurrences
  OperationCanceledError | Search for all occurrences
  SslHandshakeFailedError | Search for all occurrences
  TemporaryNetworkFailureError | Search for all occurrences
  UnknownNetworkError | Search for all occurrences
  ProxyConnectionRefusedError | Search for all occurrences
  ProxyConnectionClosedError | Search for all occurrences
  ProxyNotFoundError | Search for all occurrences
  ProxyTimeoutError | Search for all occurrences
  ProxyAuthenticationRequiredError | Search for all occurrences
  UnknownProxyError | Search for all occurrences
  ContentAccessDenied | Search for all occurrences
  ContentOperationNotPermittedError | Search for all occurrences
  ContentNotFoundError | Search for all occurrences
  AuthenticationRequiredError | Search for all occurrences
  ContentReSendError | Search for all occurrences
  UnknownContentError | Search for all occurrences
  ProtocolUnknownError | Search for all occurrences
  ProtocolInvalidOperationError | Search for all occurrences
  ProtocolFailure | Search for all occurrences

Definition at line 70 of file qnetworkreply.h.

                          {
            NoError = 0,

            // network layer errors [relating to the destination server] (1-99):
            ConnectionRefusedError = 1,
            RemoteHostClosedError,
            HostNotFoundError,
            TimeoutError,
            OperationCanceledError,
            SslHandshakeFailedError,
            TemporaryNetworkFailureError,
            UnknownNetworkError = 99,

            // proxy errors (101-199):
            ProxyConnectionRefusedError = 101,
            ProxyConnectionClosedError,
            ProxyNotFoundError,
            ProxyTimeoutError,
            ProxyAuthenticationRequiredError,
            UnknownProxyError = 199,

            // content errors (201-299):
            ContentAccessDenied = 201,
            ContentOperationNotPermittedError,
            ContentNotFoundError,
            AuthenticationRequiredError,
            ContentReSendError,
            UnknownContentError = 299,

            // protocol errors
            ProtocolUnknownError = 301,
            ProtocolInvalidOperationError,
            ProtocolFailure = 399
        };

## Constructor & Destructor Documentation

~QNetworkReply | ( |  | ) |

QNetworkReply | ( | QObject * | parent = `0` | ) | `[protected]`

QNetworkReply | ( | QNetworkReplyPrivate & | dd,
|  | QObject * | parent
| ) |  | `[protected]`

## Member Function Documentation

virtual void abort | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual void close | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QIODevice.

virtual bool isSequential | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QIODevice.

qint64 readBufferSize | ( |  | ) | const

Search for all occurrences

virtual void setReadBufferSize | ( | qint64 | size | ) | `[virtual]`

Search for all occurrences

QNetworkAccessManager* manager | ( |  | ) | const

Search for all occurrences

QNetworkAccessManager::Operation operation | ( |  | ) | const

Search for all occurrences

QNetworkRequest request | ( |  | ) | const

Search for all occurrences

NetworkError error | ( |  | ) | const

Search for all occurrences

bool isFinished | ( |  | ) | const

Search for all occurrences

bool isRunning | ( |  | ) | const

Search for all occurrences

QUrl url | ( |  | ) | const

Search for all occurrences

QVariant header | ( | QNetworkRequest::KnownHeaders | header | ) | const

Search for all occurrences

bool hasRawHeader | ( | const QByteArray & | headerName | ) | const

Search for all occurrences

QList<QByteArray> rawHeaderList | ( |  | ) | const

Search for all occurrences

QByteArray rawHeader | ( | const QByteArray & | headerName | ) | const

Search for all occurrences

const QList<RawHeaderPair>& rawHeaderPairs | ( |  | ) | const

Search for all occurrences

QVariant attribute | ( | QNetworkRequest::Attribute | code | ) | const

Search for all occurrences

QSslConfiguration sslConfiguration | ( |  | ) | const

Search for all occurrences

void setSslConfiguration | ( | const QSslConfiguration & | configuration | ) |

Search for all occurrences

void ignoreSslErrors | ( | const QList< QSslError > & | errors | ) |

Search for all occurrences

virtual void ignoreSslErrors | ( |  | ) | `[virtual, slot]`

Search for all occurrences

void metaDataChanged | ( |  | ) | `[signal]`

Search for all occurrences

void finished | ( |  | ) | `[signal]`

Search for all occurrences

void error | ( | QNetworkReply::NetworkError |  | ) | `[signal]`

Search for all occurrences

void sslErrors | ( | const QList< QSslError > & | errors | ) | `[signal]`

Search for all occurrences

void uploadProgress | ( | qint64 | bytesSent,
|  | qint64 | bytesTotal
| ) |  | `[signal]`

Search for all occurrences

void downloadProgress | ( | qint64 | bytesReceived,
|  | qint64 | bytesTotal
| ) |  | `[signal]`

Search for all occurrences

virtual qint64 writeData | ( | const char * | data,
|  | qint64 | len
| ) |  | `[protected, virtual]`

Search for all occurrences

Implements QIODevice.

void setOperation | ( | QNetworkAccessManager::Operation | operation | ) | `[protected]`

Search for all occurrences

void setRequest | ( | const QNetworkRequest & | request | ) | `[protected]`

Search for all occurrences

void setError | ( | NetworkError | errorCode,
|  | const QString & | errorString
| ) |  | `[protected]`

Search for all occurrences

void setUrl | ( | const QUrl & | url | ) | `[protected]`

Search for all occurrences

void setHeader | ( | QNetworkRequest::KnownHeaders | header,
|  | const QVariant & | value
| ) |  | `[protected]`

Search for all occurrences

void setRawHeader | ( | const QByteArray & | headerName,
|  | const QByteArray & | value
| ) |  | `[protected]`

Search for all occurrences

void setAttribute | ( | QNetworkRequest::Attribute | code,
|  | const QVariant & | value
| ) |  | `[protected]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtNetwork/qnetworkreply.h

QNetworkReply QNetworkReply QNetworkReply QNetworkReply QNetworkReply QNetworkReply QNetworkReply QNetworkReply QNetworkReply QNetworkReply
QNetworkReply QNetworkReply QNetworkReply QNetworkReply QNetworkReply QNetworkReply QNetworkReply QNetworkReply QNetworkReply QNetworkReply